%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-tape
Version:    4.5.1
Release:    %mkrel 2
Summary:    Tap-producing test harness for Node.js and browsers
License:    MIT
Group:      System/Libraries
URL:        https://github.com/substack/tape
Source0:    http://registry.npmjs.org/tape/-/tape-%{version}.tgz

BuildArch:  noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(defined)
BuildRequires:  npm(deep-equal) >= 0.2.1
#BuildRequires:  npm(falafel)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(has)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(jsonify)
BuildRequires:  npm(minimist)
BuildRequires:  npm(object-inspect)
BuildRequires:  npm(resolve)
BuildRequires:  npm(resumer)
BuildRequires:  npm(string.prototype.trim)
BuildRequires:  npm(tap)
BuildRequires:  npm(tap-parser)
BuildRequires:  npm(through)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep glob "^6.0.4"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tape
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/tape

mkdir -p %{buildroot}%{nodejs_sitelib}/tape/bin
install -p -D -m0755 bin/tape %{buildroot}%{nodejs_sitelib}/tape/bin/tape
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/tape/bin/tape %{buildroot}%{_bindir}/tape

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
# remove tests which need nodejs-falafel
rm test/array.js test/exit.js test/fail.js test/nested.js test/too_many.js
# remove tests which need newer tap
rm test/require.js
%tap test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE
%{nodejs_sitelib}/tape
%{_bindir}/tape



%changelog
* Wed May 25 2016 neoclust <neoclust> 4.5.1-2.mga6
+ Revision: 1018335
- Enable tests

* Sun May 22 2016 tv <tv> 4.5.1-1.mga6
+ Revision: 1017612
- fix disabling testuite for boostrapping
- disable testuite for boostrapping

  + neoclust <neoclust>
    - New version 4.5.1

  + spuhler <spuhler>
    - imported package nodejs-tape


* Sun Sep  6 2015 Tom Hughes <tom@compton.nu> - 4.2.0-1
- update to upstream release 4.2.0
- move LICENSE file to %%license

* Fri Sep  4 2015 Tom Hughes <tom@compton.nu> - 3.0.1-4
- Fix deep-equal dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Oct 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.1-2
- fix dependency versions

* Sun Oct 26 2014 Tom Hughes <tom@compton.nu> - 3.0.1-1
- update to upstream release 3.0.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-1
- new upstream release 1.0.4
- conditionalize ExclusiveArch

* Wed May 29 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- initial package
